std::literals Namespace Reference

## Functions

constexpr chrono::day | operator""d (unsigned long long __d) noexcept
constexpr basic_string_view< char > | operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | operator""sv (const wchar_t *__str, size_t __len) noexcept
constexpr chrono::year | operator""y (unsigned long long __y) noexcept

## Detailed Description

ISO C++ inline namespace for literal suffixes.

## Function Documentation

## operator""sv() [1/4]

basic_string_view< char > std::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len )

inline constexpr noexcept

Definition at line 865 of file string_view.

## operator""sv() [2/4]

basic_string_view< char16_t > std::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len )

inline constexpr noexcept

Definition at line 879 of file string_view.

## operator""sv() [3/4]

basic_string_view< char32_t > std::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len )

inline constexpr noexcept

Definition at line 883 of file string_view.

## operator""sv() [4/4]

basic_string_view< wchar_t > std::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len )

inline constexpr noexcept

Definition at line 869 of file string_view.